For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
DocumentationAPI Reference
DocumentationAPI Reference
  • Authentication
    • GETVerify API key
  • Documents
    • POSTUpload document
    • POSTUpload document into folder
    • GETList documents
    • GETList documents in folder
    • GETGet document
    • POSTCreate folder
    • DELDelete folder
    • POSTMove documents between folders
    • DELDelete documents
  • Workspaces
    • GETGet workspace
    • DELDelete workspace
    • POSTUpdate workspace
    • POSTAdd or remove workspace embeddings
    • GETList workspace tools
    • POSTAttach tool to workspace
    • DELDetach tool from workspace
  • Number Requests
    • GETList number requests
    • POSTRequest a phone number
    • GETGet number request
  • Numbers
    • GETList phone numbers
    • GETList phone numbers in organization
  • Organizations
    • GETList organizations
    • POSTCreate organization
    • GETGet organization
    • DELDelete organization
    • POSTUpdate organization
    • GETList workspaces in organization
    • POSTCreate workspace
    • GETList organization tools
    • POSTCreate organization tool
    • DELDelete organization tool
    • PATCHUpdate organization tool
  • Accounts
    • GETList accounts
    • POSTCreate account
  • Voice Integration
    • GETGet voice assistant config
    • PATCHUpdate voice assistant config
    • GETGet voice integration catalog
    • POSTProvision voice integration
    • GETList voice call logs
    • GETList workspace voice call logs
  • Whats App Integration
    • POSTMint a WhatsApp Business connect page token
    • GETRender WhatsApp Business connect iframe page
    • POSTFinalize WhatsApp Business onboarding (iframe-initiated)
    • DELDisconnect WhatsApp Business integration
Contact us
LogoLogo
Whats App Integration

Render WhatsApp Business connect iframe page

GET
https://staging-app.lumenia.net/api/v1/workspace/:slug/whatsapp/connect-page
GET
/api/v1/workspace/:slug/whatsapp/connect-page
$curl -G https://staging-app.lumenia.net/api/v1/workspace/slug/whatsapp/connect-page \
> -H "Authorization: Bearer <token>" \
> -d token=token
1{}

Standalone HTML page that runs Meta Embedded Signup. Must be loaded via the connect_url returned from POST /v1/workspace/:slug/whatsapp/connect-token. Page-token auth via query param (iframe-src cannot carry headers).

Was this page helpful?
Previous

Finalize WhatsApp Business onboarding (iframe-initiated)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

slugstringRequired

Hex-encoded workspace slug

Query parameters

tokenstringRequired

Page token from connect-token endpoint

Response

HTML page

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error